# manage_sandbox

Source: <https://everruns.com/docs/api/operations/manage_sandbox/>

POST

/v1/sessions/{session\_id}/sandbox

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/sessions/example/sandbox';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"action":"pause"}'
};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request POST \
  --url https://app.everruns.com/api/v1/sessions/example/sandbox \
  --header 'Content-Type: application/json' \
  --data '{ "action": "pause" }'
```

* Production APIapp.everruns.com/api/v1/sessions/{session\_id}/sandbox

Manage the session sandbox lifecycle (start, stop, reset).

## Parameters

### Path Parameters

**session\_id**

required

string

Session ID

## Request Bodyrequired

Media typeapplication/json

Request body for the `manage_session_sandbox` operation.

object

**action**

required

Action to take on the sandbox (`reset`, `delete`, etc.).

string

Allowed values: pause resume delete

## Responses

### 200

Managed sandbox lifecycle updated

Media typeapplication/json

Response body for the `manage_session_sandbox` operation.

object

**action**

required

Action that was taken.

string

Allowed values: pause resume delete

**deleted**

required

Whether the action deleted the sandbox (`true` after a successful `delete`).

boolean

**display\_name**

Human-readable sandbox label.

string | null

**exists**

required

Whether a sandbox instance still exists after the action.

boolean

**external\_id**

Provider-side sandbox identifier.

string | null

**provider**

Sandbox provider (`daytona`, `e2b`, `docker`, etc.).

string | null

**session\_status**

One of:

* string

  Current sandbox lifecycle status after the action.

  string

  Allowed values: running paused lost

* null

  null

**workspace\_path**

Absolute path of the sandbox workspace root.

string | null

##### Example

```json
{
  "action": "pause",
  "session_status": "running"
}
```

### 400

Invalid action or sandbox not configured

### 404

Session not found